Page MenuHomePhabricator

Increase unit test coverage in ve.ce.LinearEnterKeyDownHandler
Closed, ResolvedPublic

Description

Increase unit test coverage in ve.ce.LinearEnterKeyDownHandler :

Review the code and add test coverage where possible. Current statement coverage is 76.34% (71/93).

Event Timeline

marcella renamed this task from Increase unit test coverage in vve.ce.LinearEnterKeyDownHandler to Increase unit test coverage in ve.ce.LinearEnterKeyDownHandler.Oct 15 2018, 7:40 PM
marcella triaged this task as Normal priority.
marcella created this task.
Esanders claimed this task.Oct 20 2018, 3:01 PM
Esanders moved this task from Incoming to In progress on the VisualEditor (Current work) board.

Change 468715 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] LinearEnterKeyDownHandler: Add more tests

https://gerrit.wikimedia.org/r/468715

Increases to 77/93 (82.8%) after the above patch.

Change 468715 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] LinearEnterKeyDownHandler: Add more tests

https://gerrit.wikimedia.org/r/468715

Change 469038 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (b2ece1abc)

https://gerrit.wikimedia.org/r/469038

Change 469038 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (6c288b44f)

https://gerrit.wikimedia.org/r/469038

Deskana added a subscriber: Deskana.EditedOct 31 2018, 1:28 PM

Can we add some screenshots here of the new test coverage, so that it can be compared to the old test coverage in the description? I don't know where the test coverage dashboard shown here lives, so I can't do that myself.

Deskana closed this task as Resolved.Nov 1 2018, 11:27 AM

Cool, thanks! That looks like a good enough improvement to call this resolved.